Welcome
Top Next

Advanced PDF to HTML converter allows conversions of PDF documents into HTML format, which is more suitable for Internet publishing. The converter produces fully functional HTML documents with pictures, links and bookmarks, using the original PDF document formatting and allowing for Internet publishing of your documents, thus exposing their content to search engines and significantly increasing your site audience.

How it looks in Acrobat Reader | So it looks in Internet Explorer
pdf | html

With the program's clear and easy to use interface you will not need any special knowledge of HTML tags or image formats to convert PDF documents to HTML format.

You can even convert several documents in one session. Choose, for example, 100 documents. Change the settings as neccessary and run the program. It will process the documents one after another, creating a separate directory for each of them and placing all the neccessary files for the document into its corresponding directory. This is much faster than processing each document separately.

As opposed to all other PDF documents converters, Advanced PDF to HTML converter is a standalone program and does not require Adobe Acrobat, or even Acrobat Reader.


Why you need your PDF documents converted to HTML format
Previous Top Next

Converting PDF documents to HTML makes their contents more accessible and available for a larger target audience. Many simple search engines do not index PDF documents, but rather just ignore them.

PDF or HTML?

PDF is one of the most widely used document formats. Its main advantage is that it provides extremely broad possibilities for document formatting and preparing a print version. But such documents can be viewed only with the help of special programs.

As opposed to PDF, HTML documents can be read by any Internet user. They can be found with any existing search engine. Therefore, HTML format is recommended to reach a wider audience.


Getting started

The program is very easy to use.
All you need to do is to choose the PDF documents you intend to convert and modify the program settings according to your preferences. After that you just need to click the "Start conversion" button.

You may leave the default settings. However, you may want to modify them to adjust some HTML parameters in order to make them more suitable for your site design.

There are 3 groups of the program settings:

1. General settings
2. Graphic settings
3. HTML settings


Files and directories

files
First of all, you need to select the files you want to be processed.
Click the "Add files" button and when the open file dialog appears, select the desired files. You may choose multiple files, which will be added to the files list. You may choose files from one or several different directories. If you choose the wrong file(s) by mistake, they can be easily removed from the list. To do this, choose the file and click the "Remove" button.

You can choose a directory where HTML documents will be placed. By default, the program places the HTML document in the same directory with the PDF document - the program will create a directory with the name of the original PDF file and will place all the output files there. If you need to move HTML files to other directories, uncheck the "Save to the same folder" and click the "Select" button. You may also manually type in the directory name or just copy/paste it.


Passwords

passw
Some PDF documents may be encrypted and contain different restrictions. For example, they cannot be edited or their contents cannot be copied. Sometimes you will need a password even to see the contents of the document. Thus, in order to convert the documents with the restrictions, you will need to provide one or even two passwords - one of the owner and one of the user. The program automatically determines the need of the password and will try to use the list of the passwords you have provided. You may also create lists of owner passwords and user passwords. Try to place more probable and commonly used passwords closer to the top of the lists. This will greatly enhance the program performance, as it will take less time to search for the appropriate password.


Raster images

rast
Advanced PDF to HTML converter allows saving images in the three most commonly used formats - BMP, PNG, GIF and JPG. By default, it uses PNG, as it is the most appropriate high-quality image format. If you prefer to use JPG, choose it in the drop down list. If you are planning to process the pictures further, choose BMP format, which saves images without loss of quality, thus keeping the images readily available for additional editing.

Besides, whenever you choose JPG, you may specify the compression ratio. By default the ratio is set to 75%. Decrease the value to decrease the file size and, conversely, increase it for better quality.

If you want HTML files with formatted text without any graphics, check the "Ignore images" option.


Vector images

vect
PDF documents sometimes contain lines, arcs and other elements of vector graphics. Since regular HTML tags do not allow to display these primitives of vector graphics, the program uses the following technique - for every PDF document page which contains vector graphics, it copies the vector graphics elements as a raster image, which is used in the HTML document.
This allows for preservation of most of the original graphics of the PDF document.
However, if you do not want HTML files with vector graphics, then check the "Ignore images" option.


Page settings

page1
The program produces HTML pages with the original PDF document page formatting - background color, page width and height. You may want to change these settings to adjust the HTML documents to the page format of your web site. You may also specify your own title text, background and links colors, page width.
You can use macros to customize HTML title.


Frames and navigation

frames1
You may select among one of three types of HTML document frame structures:

1. Three frames - page contents, bookmarks and navigation.
2. Two frames - page contents, bookmarks.
3. No frames - page contents only.

Besides, you can change bookmarks settings (color, font) and use your own navigation panel (though in this case basic HTML knowledge is required).
You can insert html formatted code into each page. Several macros are available for processing this code.


Command line options

To process files in batch mode you have to use PDF2HTML.exe which you can find in the directory where you have installed the converter. ("C:\Program Files\Advanced PDF to HTML converter"). Run it without parameters and you'll see all available options:

Source and destination
dest Set destination directory
file Source file to convert

HTML parameters
title Set custom title
zoom Set zoom value (default is 1.2)
bmbkg Color of the bookmark tree's frame
bmfnt Font name for the bookmark tree
bmfcl Bookmark tree font color
mnbkg Pages' frame background color
mnlnk Link color
mnlnka Active link color
mnlnkv Visited link color
nojscript Don't create javascripts
fontsize Set font size
5 - 50%
6 - 60%
7 - 70%
8 - 80%
9 - 90%
10 - 100%
11 - 110%
12 - 120%
13 - 130%
14 - 140%
15 - 150%

Graphics parameters
grsc Save images as grayscale
norast Skip raster images
novect Skip vector drawings
png Save images as PNG
jpg Save images as JPG
gif Save images as GIF
bmp Save images as BMP
jpg refer image as JPG
gif refer image as GIF
png refer image as PNG
render Render text to image

Frame structure
nav Create all frames (pages, bookmark tree and navigation pane)
pageonly Convert pages only (no bookmark tree and navigation pane)
single Single page output

Post processing
opendir Open target directory after conversion
openfile Open HTML file after conversion

Here you can see the examples:

Convert D:\4\10002.pdf and store results in c:\1 directory.
pdf2html.exe -file:D:\4\10002.pdf -dest:C:\1

Convert D:\4\10002.pdf and store results to single HTML file in c:\1 directory
pdf2html.exe -single -file:D:\4\10002.pdf -dest:C:\1

Convert D:\4\10002.pdf and store results in c:\1 directory. Zoom page twice.
pdf2html.exe -zoom:20 -file:D:\4\10002.pdf -dest:C:\1

Convert D:\4\10002.pdf and store results to single HTML file in c:\1 directory
pdf2html.exe -single -file:D:\4\10002.pdf -dest:C:\1 -png -zoom:20 -title:"test title"


Demo version

The demo version of Advanced PDF to HTML converter is a fully functional product with all features required for testing available. Download the most recent program version from the program home web site, install the program and use it - this is the best way to make sure that the program completely suits all your PDF conversion needs.
After you are convinced that the program fits your needs, you are strongly encouraged to purchase and register your copy of the software by acquiring a personal unlock key. The demo version trial period is 15 days or 20 launches, whichever comes first.


Demo version limitations

You are allowed to process only up to three files simultaneously.
The level of quality can be regulated to a limited extent.
All images are rendered with "Demo" text.
Some text is replaced with "Created with demo version".


How to buy Advanced PDF to HTML converter?

You can order Advanced PDF to HTML converter online.

The Advanced PDF to TEXT converter order page
Single License - $49.95

Pricing and Online Ordering
You can order our products either online, or by using one of the alternative ordering methods, such as phone or mail. Our products are delivered electronically. For fastest service, visit our online store. Most online orders are processed within 15 minutes, and phone orders within 30 minutes, with license keys delivered by e-mail. All the prices are quoted in US Dollars.

email support
sales@intrapdf.com


MACROS

Available macros:

%CURPAGENUM% | Current page number
%CURPAGEFILENAME% | Current page file name
%NEXTPAGENUM% | Next page number
%NEXTPAGEFILENAME% | Next page file name
%PREVPAGENUM% | Previous page number
%PREVPAGEFILENAME% | Previous page file name
%FIRSTPAGENUM% | First page number
%FIRSTPAGEFILENAME% | First page file name
%LASTPAGENUM% | Last page number
%LASTPAGEFILENAME% | Last page file name
%DOCUMENTTITLE% | Document title (from PDF)
%DOCUMENTAUTHOR% | Document author (from PDF)
%PDFFILENAME% | PDF file name

Example of the page title:
Customized Page Title - Page %CURPAGENUM% of %LASTPAGENUM%

'%DOCUMENTTITLE%" by %DOCUMENTAUTHOR% - Page %CURPAGENUM% of %LASTPAGENUM%

Navigation panel example:
<div style= "z-index:0;position:absolute;top:10;left:100">
<span style="font-size:14px">
<a href="%FIRSTPAGEFILENAME%"><<</a>&nbsp;&nbsp;<a href="%PREVPAGEFILENAME%">
<</a>&nbsp;&nbsp;<a href="%NEXTPAGEFILENAME%">></a>&nbsp;&nbsp;<a href="%LASTPAGEFILENAME%">>></a>
</span></div>

<div style= "z-index:0;position:absolute;top:30;left:100">
<span style="font-size:14px"><font color ="#FF0000">This file was converted from %DOCUMENTTITLE% by %DOCUMENTAUTHOR% <br> there are %LASTPAGENUM% page(s) in %PDFFILENAME%
</font></span></div>


Copyright
Previous Top

JPEG
The JPEG library from the Independent JPEG Group is used for the JPEG image file format.
Note that this library is not included in the IntraPDF's PDF to IMAGE converter distribution: you will have to obtain it yourself from the site given here.

PNG
The PNG reference library (libpng) is used for the PNG image file format.
Note that this library is not included in the IntraPDF's PDF to IMAGE converter distribution: you will have to obtain it yourself from the site given here.

ZLIB
The zlib library contains general purpose compression routines used by the PNG library for the PNG image file format.
Note that this library is not included in the IntraPDF's PDF to IMAGE converter distribution: you will have to obtain it yourself from the site given here.

TIFF
The TIFF reference library (libtiff) is used for the TIFF image file format.
Note that this library is not included in the IntraPDF's PDF to IMAGE converter distribution: you will have to obtain it yourself from the site given here.

GD
The gd 1.3 library is a C library used for the GIF image file format.
Note that this library is not included in the IntraPDF's PDF to IMAGE converter distribution: you will have to obtain it yourself from the site given here.

Advanced PDF to HTML converter is licensed under the GNU General Public License.
Copyright 1999-2005 IntraPDF
Portions of this product Copyright 2004 Glyph & Cog, LLC.
You may obtain the source code here.